test: LLIPBindInfo struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# LLIPBindInfo Struct Reference

`#include <llipif0.h>`

List of all members.

## Public Member Functions

| NDIS_STATUS (__stdcall *lip_transmit)(void *
| NDIS_STATUS (__stdcall *lip_transfer)(void *
| void (__stdcall *lip_close)(void *)
| uint (__stdcall *lip_addaddr)(void *
| uint (__stdcall *lip_deladdr)(void *
| void (__stdcall *lip_invalidate)(void *
| void (__stdcall *lip_open)(void *)
| int (__stdcall *lip_qinfo)(void *
| int (__stdcall *lip_setinfo)(void *
| int (__stdcall *lip_getelist)(void *

## Public Attributes

void * | lip_context
uint | lip_mss
uint | lip_speed
uint | lip_index
| PNDIS_PACKET
| IPAddr
| NDIS_HANDLE
| uint
| IPMask
TDIObjectID | PNDIS_BUFFER
TDIObjectID void | uint
uint | lip_flags
uint | lip_addrlen
uchar * | lip_addr

## Member Function Documentation

LLIPBindInfo::int | ( | __stdcall * | lip_getelist | ) |

LLIPBindInfo::int | ( | __stdcall * | lip_setinfo | ) |

LLIPBindInfo::int | ( | __stdcall * | lip_qinfo | ) |

LLIPBindInfo::NDIS_STATUS | ( | __stdcall * | lip_transfer | ) |

LLIPBindInfo::NDIS_STATUS | ( | __stdcall * | lip_transmit | ) |

LLIPBindInfo::uint | ( | __stdcall * | lip_deladdr | ) |

LLIPBindInfo::uint | ( | __stdcall * | lip_addaddr | ) |

LLIPBindInfo::void | ( | __stdcall * | lip_open | ) |

LLIPBindInfo::void | ( | __stdcall * | lip_invalidate | ) |

LLIPBindInfo::void | ( | __stdcall * | lip_close | ) |

## Member Data Documentation

LLIPBindInfo::IPAddr

| Definition at line 50 of file llipif0.h.

LLIPBindInfo::IPMask

| Definition at line 50 of file llipif0.h.

uchar* LLIPBindInfo::lip_addr

| Definition at line 59 of file llipif0.h.

uint LLIPBindInfo::lip_addrlen

| Definition at line 58 of file llipif0.h.

void* LLIPBindInfo::lip_context

| Definition at line 41 of file llipif0.h.

uint LLIPBindInfo::lip_flags

| Definition at line 57 of file llipif0.h.

uint LLIPBindInfo::lip_index

| Definition at line 44 of file llipif0.h.

uint LLIPBindInfo::lip_mss

| Definition at line 42 of file llipif0.h.

uint LLIPBindInfo::lip_speed

| Definition at line 43 of file llipif0.h.

LLIPBindInfo::NDIS_HANDLE

| Definition at line 46 of file llipif0.h.

struct TDIObjectID LLIPBindInfo::PNDIS_BUFFER

| Definition at line 53 of file llipif0.h.

LLIPBindInfo::PNDIS_PACKET

| Definition at line 46 of file llipif0.h.

struct TDIObjectID void LLIPBindInfo::uint

| Definition at line 55 of file llipif0.h.

LLIPBindInfo::uint

| Definition at line 50 of file llipif0.h.

The documentation for this struct was generated from the following file:

- llipif0.h